#ifndef _SIMPLELIB_H
#define _SIMPLELIB_H

// #define SL_INTTOSTRING
// #define SL_PRINTFORMA
// #define SL_RECT
// #define SL_RAND

#define MAX_X 127
#define MAX_Y 63

#define line(A, B, C, D) Bdisp_DrawLineVRAM(A, B, C, D)
#define pixel(A, B, C) Bdisp_SetPoint_VRAM(A, B, C) //C = 1 : black, C = 0 : white
#define clearVRAM() Bdisp_AllClr_VRAM()
#define clearDisplay() Bdisp_AllClr_DD()
#define clear() Bdisp_AllClr_DDVRAM()
#define display() Bdisp_PutDisp_DD()
#define bfopen(A, B) Bfile_OpenFile(A, B) //returns int file ID ; A: char* filename, B: int mode ; _OPENMODE_READ, _OPENMODE_READ_SHARE, _OPENMODE_WRITE, _OPENMODE_READWRITE, _OPENMODE_READWRITE_SHARE
#define bfread(A, B, C, D) Bfile_ReadFile(A, B, C, D) //returns int < 0 if the function fails ; A: int file ID, B: void* pointer to buffer that reads data, C: int number of bytes to read, D: int specifies the position to read ; D = -1 : current position, D > 0 : the position will be D
#define bfwrite(A, B, C) Bfile_WriteFile(A, B, C)  //returns int < 0 if the function fails ; A: int file ID, B: void*  pointer to buffer that writes data, C: int number of bytes to write
#define bfseek(A, B) Bfile_SeekFile(A, B) //return int < 0 if the function fails ; A: int file ID, B: int position
#define bfclose(A) Bfile_CloseFile(A)
#define bfsize(A) Bfile_GetFileSize(A)
#define bfcreate(A, B) Bfile_CreateFile(A, B)
#define bfmkdir(A) Bfile_CreateDirectory(A)
#define bfrm(A) Bfile_DeleteFile(A)

void intToString(int n, char **s);
void printForma(int x, int y, char *s);
void rect(int x1, int y1, int x2, int y2);
unsigned int rand();
void srand(int seed);
int GetTicks();

#endif